%define upstream_name    DB_File
%define upstream_version 1.838

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl5 access to Berkeley DB version 1.x
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: db-devel
BuildRequires: perl-devel

%{?perl_default_filter}

%description
DB_File is a module which allows Perl programs to make use of the
facilities provided by Berkeley DB version 1. (DB_File can be built with
version 2 or 3 of Berkeley DB, but it will only support the 1.x
features).

If you want to make use of the new features available in Berkeley DB
2.x or 3.x, use the Perl module BerkeleyDB instead.

Berkeley DB is a C library which provides a consistent interface to a
number of database formats. DB_File provides an interface to all three
of the database types (hash, btree and recno) currently supported by
Berkeley DB.

For further details see the documentation included at the end of the
file DB_File.pm.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 README DB_File.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*.pm
%{perl_vendorarch}/auto/DB_File


%changelog
* Wed May 18 2016 shlomif <shlomif> 1.838.0-1.mga6
+ Revision: 1016654
- Fix rpmlint warning about spaces vs tabs

  + yuri_myasoedov <yuri_myasoedov>
    - replace '%%make test' with '%%make_build test'.
    - update sha1.lst file.
    - update to new version 1.838.

* Fri Feb 12 2016 umeabot <umeabot> 1.835.0-3.mga6
+ Revision: 957136
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.835.0-2.mga6
+ Revision: 843841
- Rebuild for perl 5.22

* Mon Jun 22 2015 sander85 <sander85> 1.835.0-1.mga6
+ Revision: 838647
- update to 1.835

* Wed Oct 15 2014 umeabot <umeabot> 1.831.0-5.mga5
+ Revision: 743585
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.831.0-4.mga5
+ Revision: 735544
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.831.0-3.mga5
+ Revision: 684148
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.831.0-2.mga5
+ Revision: 631001
- Rebuild for perl 5.20

* Sat Feb 08 2014 sander85 <sander85> 1.831.0-1.mga5
+ Revision: 585950
- update to 1.831

* Sat Oct 19 2013 umeabot <umeabot> 1.829.0-2.mga4
+ Revision: 529249
- Mageia 4 Mass Rebuild

* Mon Jul 08 2013 sander85 <sander85> 1.829.0-1.mga4
+ Revision: 451156
- update to 1.829

* Mon Jun 03 2013 jquelin <jquelin> 1.828.0-1.mga4
+ Revision: 436396
- update to 1.828

* Wed May 29 2013 jquelin <jquelin> 1.827.0-5.mga4
+ Revision: 430616
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 1.827.0-4.mga3
+ Revision: 405466
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.827.0-3.mga3
+ Revision: 365187
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.827.0-2.mga3
+ Revision: 315495
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.827.0-1.mga3
+ Revision: 294847
- update to 1.827

* Tue Jul 31 2012 fwang <fwang> 1.826.0-4.mga3
+ Revision: 276385
- rebuild for db-5.3

* Fri Jul 27 2012 fwang <fwang> 1.826.0-3.mga3
+ Revision: 274841
- rebuild for db

* Wed May 30 2012 jquelin <jquelin> 1.826.0-2.mga3
+ Revision: 250496
- rebuild for perl 5.16

* Tue Mar 06 2012 jquelin <jquelin> 1.826.0-1.mga2
+ Revision: 219768
- update to 1.826

* Fri Nov 04 2011 jquelin <jquelin> 1.824.0-2.mga2
+ Revision: 162792
- take priority over module bundled with perl 5.14.2
- update to 1.824

* Thu Jul 07 2011 fwang <fwang> 1.822.0-4.mga2
+ Revision: 119667
- rebuild against db4.8

* Wed Jun 22 2011 jquelin <jquelin> 1.822.0-3.mga2
+ Revision: 112048
- perl 5.14 rebuild

* Sat Jun 11 2011 sander85 <sander85> 1.822.0-2.mga2
+ Revision: 104150
- perl 5.14

* Mon Mar 14 2011 jquelin <jquelin> 1.822.0-1.mga1
+ Revision: 70981
- update to 1.822

* Fri Feb 18 2011 jquelin <jquelin> 1.821.0-2.mga1
+ Revision: 53577
- rebuild

* Wed Feb 16 2011 jquelin <jquelin> 1.821.0-1.mga1
+ Revision: 52414
- update to 1.821

* Sat Jan 22 2011 jquelin <jquelin> 1.820.0-7.mga1
+ Revision: 32737
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.820.0-6.mga1
+ Revision: 30049
- mageia rebuild
- imported package perl-DB_File

